## php-twig 2.14.3

=== doc/_build/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -c $(BUILDDIR) -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) ../
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/Symfony.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/Symfony.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/Symfony"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/Symfony"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## php-twig 2.11.3

=== debian/changelog ===
php-twig (2.11.3-2) unstable; urgency=medium

  * Upload to unstable now that buster has been released
  * Update Standards-Version to 4.4.0

 -- David Prévot <taffit@debian.org>  Fri, 19 Jul 2019 17:27:56 -0300

php-twig (2.11.3-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.11.3 release

 -- David Prévot <taffit@debian.org>  Sun, 23 Jun 2019 16:34:56 -1000

php-twig (2.11.2-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.11.2 release

  [ David Prévot ]
  * Update copyright

 -- David Prévot <taffit@debian.org>  Mon, 17 Jun 2019 09:30:32 -1000

php-twig (2.10.0-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.10.0 release

 -- David Prévot <taffit@debian.org>  Wed, 15 May 2019 21:37:39 -1000

php-twig (2.9.0-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.9.0 release

 -- David Prévot <taffit@debian.org>  Sat, 04 May 2019 12:04:35 -1000

php-twig (2.8.1-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.8.1 release

  [ David Prévot ]
  * Document renaming rationale in previous changelog entry

 -- David Prévot <taffit@debian.org>  Thu, 18 Apr 2019 04:13:50 +0900

php-twig (2.7.4-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.7.4 release

  [ David Prévot ]
  * Document CVE in previous changelog entry
  * Rename package as php-twig, since an unrelated twig package used to be in
    the archive over ten years ago. Starting with (at least) 2.7.2, the
    uniqueness of version number is not guaranteed anymore, thus violating
    Policy 3.2.2.

 -- David Prévot <taffit@debian.org>  Sat, 23 Mar 2019 08:33:01 -1000

twig (2.7.2-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * added TemplateWrapper::getTemplateName()
  * prepared the 2.7.2 release

 -- David Prévot <taffit@debian.org>  Wed, 13 Mar 2019 16:02:05 -1000

twig (2.7.1-1) experimental; urgency=medium

  * Team upload, to experimental during the freeze

  [ Fabien Potencier ]
  * switched to namespace first, PSR-0 as a fallback
  * fixed security issue in the sandbox [CVE-2019-9942]
  * prepared the 2.7.1 release

  [ David Prévot ]
  * Use /usr/share/dpkg/default.mk instead of dpkg-parsechangelog
  * Use PSR-4 by default
  * Unify tests calls

 -- David Prévot <taffit@debian.org>  Tue, 12 Mar 2019 18:19:33 -1000

twig (2.6.2-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.6.2 release

  [ David Prévot ]
  * Use debhelper-compat 12
  * Update Standards-Version to 4.3.0
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Wed, 16 Jan 2019 06:09:02 -1000

twig (2.6.0-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.6.0 release

  [ David Prévot ]
  * Use debhelper-compat 11
  * Drop get-orig-source target
  * Use https in debian/
  * Use debian/clean for directories
  * Update Standards-Version to 4.2.1

 -- David Prévot <taffit@debian.org>  Wed, 19 Dec 2018 08:10:27 +1100

twig (2.5.0-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * fixed website URL
  * added the Symfony ctype polyfill as a dependency
  * prepared the 2.5.0 release

  [ David Prévot ]
  * Update Homepage URL
  * Update Standards-Version to 4.1.5
  * Depend on php-ctype instead of php-symfony-polyfill-ctype

 -- David Prévot <taffit@debian.org>  Sun, 15 Jul 2018 20:55:09 +1200

twig (2.4.8-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.8 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.4

 -- David Prévot <taffit@debian.org>  Sat, 28 Apr 2018 17:01:39 -1000

twig (2.4.7-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.7 release

 -- David Prévot <taffit@debian.org>  Fri, 30 Mar 2018 12:32:10 -1000

twig (2.4.6-1) unstable; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.6 release

  [ David Prévot ]
  * Add missing dependency for ci (Closes: #889833)
  * Update copyright (years)
  * Move project repository to salsa.d.o
  * Update Standards-Version to 4.1.3

  [ Miguel Piedrafita ]
  * Update license year

 -- David Prévot <taffit@debian.org>  Tue, 06 Mar 2018 22:00:33 -1000

twig (2.4.4-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable in sync with symfony
  * Update needed build-dependencies for the tests (Closes: #882941)

 -- David Prévot <taffit@debian.org>  Thu, 30 Nov 2017 14:37:17 -1000

twig (2.4.4-1) experimental; urgency=medium

  * Team upload

  [ Fabien Potencier ]
  * prepared the 2.4.4 release

  [ David Prévot ]
  * Update Standards-Version to 4.1.1
  * Update CI call
  * Build-Depend on python3-sphinx instead of python-sphinx

 -- David Prévot <taffit@debian.org>  Fri, 20 Oct 2017 11:20:18 -1000

twig (2.4.3-1) experimental; urgency=medium

  * Team upload to experimental, for symfony 3.3

  [ Fabien Potencier ]
  * prepared the 2.4.3 release

  [ David Prévot ]
  * d/control: Add a trivial get-orig-source target
  * Update copyright
  * Drop references to packages not part of stable
  * Don’t depend on php-symfony-polyfill-mbstring
  * Install psr-4 classes in Twig/psr-4
  * d/rules: drop now useless -indep suffix
  * Drop double phpunit test call
  * Install documentation in /usr/share/doc/php-twig
  * Update Standards-Version to 4.1.0
  * Drop mention of Twig/Autoloader.php removed upstream

 -- David Prévot <taffit@debian.org>  Tue, 29 Aug 2017 18:30:18 -1000

twig (1.24.0-2) unstable; urgency=medium

  [ Ondřej Surý ]
  * Finish the transition to PHP 7.0
  * Disable building PHP extension until it's rewritten
    for PHP 7.0 (Closes: #821630)

  [ Daniel Beyer ]
  * No longer mention the removed twig PHP C extension in README.Debian

 -- Daniel Beyer <dabe@deb.ymc.ch>  Fri, 22 Apr 2016 14:13:35 +0200



=== debian/control ===
Source: php-twig
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>
Section: php
Priority: optional
Standards-Version: 4.4.0
Build-Depends: debhelper-compat (= 12),
               locales-all,
               php-cli,
               php-mbstring,
               php-psr-container,
               php-symfony-phpunit-bridge (>= 3.3),
               phpab,
               phpunit,
               pkg-php-tools (>= 1.33~),
               python3-sphinx,
               re2c
Homepage: https://twig.symfony.com
Vcs-Browser: https://salsa.debian.org/php-team/pear/twig
Vcs-Git: https://salsa.debian.org/php-team/pear/twig.git

Package: php-twig
Architecture: all
Depends: php-mbstring,
         php-ctype,
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: php-twig-doc
Description: Flexible, fast, and secure template engine for PHP
 Twig is a fast, secure and flexible template engine for php, implementing an
 own domain specific language which originated from Jinja and Django templates.

Package: php-twig-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Twig template engine documentation
 This documentation describes the internals of Twig and the use of
 it from the perspective of a template designer as well as from the
 perspective of a developer.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
TWIG_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r 's/^([0-9]+\.[0-9]+).*/\1/')

%:
	dh $@ --with phpcomposer,sphinxdoc

override_dh_auto_build:
	sphinx-build -C \
	 -b html \
	 -D source_suffix='.rst' \
	 -D master_doc='index' \
	 -D project='php-twig-doc' \
	 -D copyright='by the Twig Team' \
	 -D version='${TWIG_VERSION}' \
	 -D release='$(DEB_VERSION_UPSTREAM)' \
	 -D pygments_style='sphinx' \
	 -D html_theme='default' \
	 doc debian/build-tmp/php-twig-doc
	cp -a lib/Twig src/psr-0
	phpab --output src/autoload.php src
	mkdir --parents vendor
	phpab 	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		test
	ln -s src Twig

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit
endif

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl test && phpunit
Depends: @,
         locales-all,
         php-psr-container,
         php-symfony-phpunit-bridge (>= 3.3),
         phpab,
         phpunit

## php-twig 2.12.3

=== debian/changelog ===
php-twig (2.12.3-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 2.12.3 release

  [ David Prévot ]
  * Ignore intl and string tests for CI

 -- David Prévot <taffit@debian.org>  Sun, 29 Dec 2019 17:01:32 +1100

php-twig (2.12.2-3) unstable; urgency=medium

  * Update test dependencies
  * Set upstream metadata fields: Bug-Submit.

 -- David Prévot <taffit@debian.org>  Fri, 27 Dec 2019 03:46:01 +1100

php-twig (2.12.2-2) unstable; urgency=medium

  * Track version 2 for now (bullseye?)
  * Add extra packages (except php-twig-string-extra that depends on
    php-symfony-string 5)
  * Set upstream metadata fields: Bug-Database, Repository, Repository-Browse.
  * Ignore Intl testsuite for now

 -- David Prévot <taffit@debian.org>  Mon, 09 Dec 2019 09:43:38 -1000

php-twig (2.12.2-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 2.12.2 release

  [ David Prévot ]
  * Update copyright
  * d/control: Drop versioned dependency satisfied in stable

 -- David Prévot <taffit@debian.org>  Tue, 12 Nov 2019 18:03:58 -1000

php-twig (2.12.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 2.12.1 release

  [ Barry vd. Heuvel ]
  * Update .gitattributes to remove tests from \"dist\"

  [ David Prévot ]
  * Document gbp import-ref usage

 -- David Prévot <taffit@debian.org>  Sat, 19 Oct 2019 16:36:34 -1000

php-twig (2.12.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 2.12.0 release

  [ David Prévot ]
  * Set upstream metadata fields: Repository.
  * Drop versioned dependency satisfied in (old)stable
  * Update Standards-Version to 4.4.1
  * Adapt phpab call to new upstream tests path

 -- David Prévot <taffit@debian.org>  Mon, 07 Oct 2019 16:21:21 -1000

php-twig (2.11.3-3) unstable; urgency=medium

  * Declare php-twig-doc as Multi-Arch: foreign
  * Compatibility with recent PHPUnit (8)
  * Add self to Uploaders

 -- David Prévot <taffit@debian.org>  Sat, 14 Sep 2019 01:13:15 -1000

=== debian/control ===
Source: php-twig
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
Section: php
Priority: optional
Standards-Version: 4.4.1
Build-Depends: debhelper-compat (= 12),
               jq,
               locales-all,
               php-cli,
               php-league-commonmark,
               php-league-html-to-markdown,
               php-lorenzo-pinky,
               php-mbstring,
               php-parsedown,
               php-psr-container,
               php-symfony-framework-bundle,
               php-symfony-intl,
               php-symfony-mime,
               php-symfony-phpunit-bridge,
#               php-symfony-string,
               php-symfony-twig-bundle,
               php-tijsverkoyen-css-to-inline-styles,
               phpab,
               phpunit,
               pkg-php-tools,
               python3-sphinx,
               re2c
Homepage: https://twig.symfony.com
Vcs-Browser: https://salsa.debian.org/php-team/pear/twig
Vcs-Git: https://salsa.debian.org/php-team/pear/twig.git -b bullseye

Package: php-twig
Architecture: all
Depends: php-ctype,
         php-mbstring,
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: php-twig-doc
Description: Flexible, fast, and secure template engine for PHP
 Twig is a fast, secure and flexible template engine for php, implementing an
 own domain specific language which originated from Jinja and Django templates.

Package: php-twig-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Twig template engine documentation
 This documentation describes the internals of Twig and the use of
 it from the perspective of a template designer as well as from the
 perspective of a developer.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

Package: php-twig-cssinliner-extra
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://twig.symfony.com/inline_css
Description: ${phpcomposer:description}
 Twig CssInliner Extension extension that provides the following:
 .
 - inline_css filter: inlines CSS styles in HTML documents.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

Package: php-twig-html-extra
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://twig.symfony.com/html_classes
Description: ${phpcomposer:description}
 Twig HTML extension that provides the following:
 .
 - data_uri filter: generates a URL using the data scheme as defined in
   RFC 2397;
 - html_classes function: returns a string by conditionally joining class
   names together.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

Package: php-twig-inky-extra
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://twig.symfony.com/inky
Description: ${phpcomposer:description}
 Twig Inky extension that provides the following:
 .
 - inky_to_html filter: processes an inky email template.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

Package: php-twig-intl-extra
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://twig.symfony.com/country_name
Description: ${phpcomposer:description}
 Twig Intl extension that provides the following:
 .
 - country_name filter: returns the country name given its
   two-letter/five-letter code;
 - currency_name filter: returns the currency name given its three-letter
   code;
 - currency_symbol filter: returns the currency symbol given its
   three-letter code;
 - language_name filter: returns the language name given its
   two-letter/five-letter code;
 - locale_name filter: returns the language name given its
   two-letter/five-letter code;
 - timezone_name filter: returns the timezone name given its identifier;
 - country_timezones filter: returns the timezone identifiers of the given
   country code;
 - format_currency filter: formats a number as a currency;
 - format_number filter: formats a number;
 - format_datetime filter: formats a date time;
 - format_date filter: formats a date;
 - format_time filter: formats a time.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

Package: php-twig-markdown-extra
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: ${phpcomposer:Debian-suggest}
Recommends: ${phpcomposer:Debian-recommend}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: ${phpcomposer:Debian-provide}
Homepage: https://twig.symfony.com/markdown_to_html
Description: ${phpcomposer:description}
 Twig Markdown extension that provides the following:
 .
 - markdown_to_html filter: generates HTML from a Markdown block;
 - html_to_markdown filter: generates Markdown from an HTML block.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

#Package: php-twig-string-extra
#Architecture: all
#Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
#Suggests: ${phpcomposer:Debian-suggest}
#Recommends: ${phpcomposer:Debian-recommend}
#Replaces: ${phpcomposer:Debian-replace}
#Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
#Provides: ${phpcomposer:Debian-provide}
#Homepage: https://twig.symfony.com/u
#Description: ${phpcomposer:description}
# Twig String extension that provides integration with the Symfony String
# component.
# .
# It provides a single u filter that wraps a text in a `UnicodeString`
# object to give access to methods of the class.
# .
# Twig itself is a flexible, fast and secure template engine for PHP.

Package: php-twig-extra-bundle
Architecture: all
Depends: ${misc:Depends},
         ${phpcomposer:Debian-replace},
         ${phpcomposer:Debian-require}
Recommends: ${phpcomposer:Debian-recommend}
Suggests: ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}
Provides: ${phpcomposer:Debian-provide}
Description: ${phpcomposer:description}
 This package is a Symfony bundle that allows one to use all "extra"
 extensions without any configuration.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

## php-twig 2.12.5

=== debian/changelog ===
php-twig (2.12.5-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Bump license year
  * Prepare the 2.12.5 release

  [ David Prévot ]
  * Update Standards-Version to 4.5.0
  * Update copyright (years)

 -- David Prévot <taffit@debian.org>  Sun, 23 Feb 2020 12:10:53 -1000

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
 Section: php
 Priority: optional
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Build-Depends: debhelper-compat (= 12),
                jq,
                locales-all,

=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,8 @@
 	dh $@ --with phpcomposer,sphinxdoc
 
 override_dh_auto_build:
+	dh_auto_build
+	# php-twig-doc
 	sphinx-build -C \
 	 -b html \
 	 -D source_suffix='.rst' \
@@ -19,14 +21,98 @@
 	 -D html_theme='default' \
 	 doc debian/build-tmp/php-twig-doc
 	cp -a lib/Twig src/psr-0
+	# php-twig
 	phpab --output src/autoload.php src
-	mkdir --parents vendor
+	# php-twig testsuite
+	mkdir --parents vendor src/Extra
 	phpab 	--output vendor/autoload.php \
 		--template debian/autoload.tests.php.tpl \
-		test
+		tests extra/*/tests
+	# Mimic install path
 	ln -s src Twig
+	ln -s ../../extra/cssinliner-extra/src Twig/Extra/CssInliner
+	ln -s ../../extra/html-extra/src Twig/Extra/Html
+	ln -s ../../extra/inky-extra/src Twig/Extra/Inky
+	ln -s ../../extra/intl-extra/src Twig/Extra/Intl
+	ln -s ../../extra/markdown-extra/src Twig/Extra/Markdown
+	# ln -s ../../extra/string-extra/src Twig/Extra/String
+	ln -s ../../extra/twig-extra-bundle/src Twig/Extra/TwigExtraBundle
+	# php-twig extra
+	# Parts from the symfony package’s debian/rules.
+	mkdir --parents debian/packages_to_build
+	# Walk through the parts of upstream's code that should be packaged into
+	# separate Debian binary packages and write down a package-to-build info
+	# file containing shell variables for each package.
+	# Those files will be traverse later on in different targets of this
+	# makefile (debian/rules). They solely exists to not repeat the extraction
+	# of those variables in each of those target over and over again.
+	# Then, build a class loader for the package, using the template in
+	# debian/$deb_pkg_name.autoload.php.tpl if it exists (to load dependencies).
+	set -e;\
+	 for src_path in $$(find -L Twig/Extra/ -mindepth 1 -maxdepth 1 -type d); do \
+	  if [ -e $$src_path/../composer.json ]; then \
+	   deb_pkg_name=php-$$(cat $$src_path/../composer.json | jq -r '.name | tostring' | sed -r 's|/|-|'); \
+	   if [ $$(grep -c -E -e "^Package: $$deb_pkg_name\$$" debian/control) -ne 1 ]; then \
+	    echo "W: No Debian package '$$deb_pkg_name' defined in debian/control," 1>&2; \
+	    echo "   therefor not considering Symfony $$src_path," 1>&2; \
+	    continue; \
+	   fi; \
+	   echo "# This file contains some variables sourced" > debian/packages_to_build/$$deb_pkg_name; \
+	   echo "# by various targets in debian/rules" >> debian/packages_to_build/$$deb_pkg_name; \
+	   echo "deb_pkg_name='$$deb_pkg_name'" >> debian/packages_to_build/$$deb_pkg_name; \
+	   echo "src_path='$$src_path'" >> debian/packages_to_build/$$deb_pkg_name; \
+	   if [ -e debian/$$deb_pkg_name.autoload.php.tpl ]; then \
+	    phpab \
+		--output $$src_path/autoload.php \
+		--template debian/$$deb_pkg_name.autoload.php.tpl \
+		$$src_path; \
+	   else \
+	    phpab \
+		--output $$src_path/autoload.php \
+		$$src_path; \
+	   fi; \
+	  fi; \
+	 done
 
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	phpunit
+	# testsuite for extra packages
+	set -e; \
+	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
+	  . $$package_info_file; \
+	  if [ -f $$src_path/../phpunit.xml.dist -a $$src_path != Twig/Extra/Intl ]; then \
+	   phpunit $$src_path/..; \
+	  fi; \
+	 done
+
+else
+	@echo "** tests disabled"
 endif
+
+override_dh_install:
+	dh_install --package=php-twig --package=php-twig-doc -XExtra
+	# In debian/packages_to_build/ a file containing shell variables exists
+	# for each package that should be build. Source one file after another
+	# to make the shell variables available and run dh_install in order to
+	# provide the PHP runtime code for each package.
+	set -e; \
+	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
+	  . $$package_info_file; \
+	  dh_install \
+		--package=$$deb_pkg_name \
+		$$src_path/* \
+		usr/share/php/$$src_path/; \
+	 done
+
+override_dh_phpcomposer:
+	dh_phpcomposer --package=php-twig
+	# In debian/packages_to_build/ a file containing shell variables exists
+	# for each package that should be build. Source one file after another
+	# to make the shell variables available and run dh_phpcomposer for each
+	# package.
+	set -e;\
+	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
+	  . $$package_info_file; \
+	  dh_phpcomposer --package=$$deb_pkg_name --sourcedir=$$src_path/..; \
+	 done

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit && for i in extra/*/; do if [ $i != extra/intl-extra/ -a $i != extra/string-extra/ ]; then phpunit $i; fi; done
Depends: locales-all,
         php-league-commonmark,
         php-league-html-to-markdown,
         php-parsedown,
         php-psr-container,
         php-symfony-phpunit-bridge,
         phpab,
         phpunit,
         @

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(.*)\.tar\.gz/Twig-$1.tar.gz/ \
  https://github.com/twigphp/Twig/tags .*/v?(2[\d\.]+)\.tar\.gz

## php-twig 2.13.0

=== debian/changelog ===
php-twig (2.13.0-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Drop support for PHP 7.0
  * Fix PHP 8 compat
  * Prepare the 2.13.0 release

  [ Nicolas Grekas ]
  * Sync LICENSE with GitHub template

  [ David Prévot ]
  * Set Rules-Requires-Root: no.
  * Use debhelper-compat 13
  * Simplify override_dh_auto_test
  * Use --sourcedirectory instead of --sourcedir
  * Update copyright
  * Fix unindented list in extended description

 -- David Prévot <taffit@debian.org>  Tue, 07 Jul 2020 20:34:40 -0400

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: php
 Priority: optional
 Standards-Version: 4.5.0
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                jq,
                locales-all,
                php-cli,
@@ -29,6 +29,7 @@
 Homepage: https://twig.symfony.com
 Vcs-Browser: https://salsa.debian.org/php-team/pear/twig
 Vcs-Git: https://salsa.debian.org/php-team/pear/twig.git -b bullseye
+Rules-Requires-Root: no
 
 Package: php-twig
 Architecture: all
@@ -65,7 +66,7 @@
 Description: ${phpcomposer:description}
  Twig CssInliner Extension extension that provides the following:
  .
- - inline_css filter: inlines CSS styles in HTML documents.
+  - inline_css filter: inlines CSS styles in HTML documents.
  .
  Twig itself is a flexible, fast and secure template engine for PHP.
 
@@ -81,10 +82,10 @@
 Description: ${phpcomposer:description}
  Twig HTML extension that provides the following:
  .
- - data_uri filter: generates a URL using the data scheme as defined in
-   RFC 2397;
- - html_classes function: returns a string by conditionally joining class
-   names together.
+  - data_uri filter: generates a URL using the data scheme as defined in
+    RFC 2397;
+  - html_classes function: returns a string by conditionally joining class
+    names together.
  .
  Twig itself is a flexible, fast and secure template engine for PHP.
 
@@ -100,7 +101,7 @@
 Description: ${phpcomposer:description}
  Twig Inky extension that provides the following:
  .
- - inky_to_html filter: processes an inky email template.
+  - inky_to_html filter: processes an inky email template.
  .
  Twig itself is a flexible, fast and secure template engine for PHP.
 
@@ -116,24 +117,24 @@
 Description: ${phpcomposer:description}
  Twig Intl extension that provides the following:
  .
- - country_name filter: returns the country name given its
-   two-letter/five-letter code;
- - currency_name filter: returns the currency name given its three-letter
-   code;
- - currency_symbol filter: returns the currency symbol given its
-   three-letter code;
- - language_name filter: returns the language name given its
-   two-letter/five-letter code;
- - locale_name filter: returns the language name given its
-   two-letter/five-letter code;
- - timezone_name filter: returns the timezone name given its identifier;
- - country_timezones filter: returns the timezone identifiers of the given
-   country code;
- - format_currency filter: formats a number as a currency;
- - format_number filter: formats a number;
- - format_datetime filter: formats a date time;
- - format_date filter: formats a date;
- - format_time filter: formats a time.
+  - country_name filter: returns the country name given its
+    two-letter/five-letter code;
+  - currency_name filter: returns the currency name given its three-letter
+    code;
+  - currency_symbol filter: returns the currency symbol given its
+    three-letter code;
+  - language_name filter: returns the language name given its
+    two-letter/five-letter code;
+  - locale_name filter: returns the language name given its
+    two-letter/five-letter code;
+  - timezone_name filter: returns the timezone name given its identifier;
+  - country_timezones filter: returns the timezone identifiers of the given
+    country code;
+  - format_currency filter: formats a number as a currency;
+  - format_number filter: formats a number;
+  - format_datetime filter: formats a date time;
+  - format_date filter: formats a date;
+  - format_time filter: formats a time.
  .
  Twig itself is a flexible, fast and secure template engine for PHP.
 
@@ -149,8 +150,8 @@
 Description: ${phpcomposer:description}
  Twig Markdown extension that provides the following:
  .
- - markdown_to_html filter: generates HTML from a Markdown block;
- - html_to_markdown filter: generates Markdown from an HTML block.
+  - markdown_to_html filter: generates HTML from a Markdown block;
+  - html_to_markdown filter: generates Markdown from an HTML block.
  .
  Twig itself is a flexible, fast and secure template engine for PHP.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,7 @@
 %:
 	dh $@ --with phpcomposer,sphinxdoc
 
-override_dh_auto_build:
-	dh_auto_build
+execute_after_dh_auto_build:
 	# php-twig-doc
 	sphinx-build -C \
 	 -b html \
@@ -75,7 +74,6 @@
 	 done
 
 override_dh_auto_test:
-ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	phpunit
 	# testsuite for extra packages
 	set -e; \
@@ -85,10 +83,6 @@
 	   phpunit $$src_path/..; \
 	  fi; \
 	 done
-
-else
-	@echo "** tests disabled"
-endif
 
 override_dh_install:
 	dh_install --package=php-twig --package=php-twig-doc -XExtra
@@ -114,5 +108,5 @@
 	set -e;\
 	 for package_info_file in $$(find debian/packages_to_build/ -mindepth 1 -maxdepth 1 -type f); do \
 	  . $$package_info_file; \
-	  dh_phpcomposer --package=$$deb_pkg_name --sourcedir=$$src_path/..; \
+	  dh_phpcomposer --package=$$deb_pkg_name --sourcedirectory=$$src_path/..; \
 	 done

## php-twig 2.14.3

=== debian/changelog ===
php-twig (2.14.3-1~bpo10+1) buster-backports; urgency=medium

  * Team upload.
  * Rebuild for buster-backports.
  * Revert "Adapt to recent version of PHPUnit (9)"

 -- William Desportes <williamdes@wdes.fr>  Sun, 14 Feb 2021 03:14:02 +0100

php-twig (2.13.1-1~bpo10+1) buster-backports; urgency=medium

  * Team upload.
  * Rebuild for buster-backports.

 -- William Desportes <williamdes@wdes.fr>  Thu, 24 Sep 2020 08:24:00 +0200

php-twig (2.13.0-1~bpo10+1) buster-backports; urgency=medium

  * Team upload.
  * Rebuild for buster-backports.

 -- William Desportes <williamdes@wdes.fr>  Wed, 08 Jul 2020 10:49:32 +0000

php-twig (2.12.5-1~bpo10+1) buster-backports; urgency=medium

  * Team upload.
  * Rebuild for buster-backports.
  * Add GitLab pipelines config for buster-backports.
  * Revert "Add extra packages".
  * Revert most of "Update test dendencies"
  * Track buster-backports branch
  * Add Rules-Requires-Root

 -- William Desportes <williamdes@wdes.fr>  Mon, 13 Apr 2020 01:38:01 +0200

php-twig (2.14.3-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Bump copyright year
  * Move things around
  * Prepare the 2.14.3 release

  [ David Prévot ]
  * Update copyright
  * Adapt to new upstream distribution path
  * Don’t rely on string not installed in Bullseye
  * Use LC_ALL=en_US for intl tests
  * Install /u/s/p/autoloaders file

 -- David Prévot <taffit@debian.org>  Thu, 07 Jan 2021 18:41:35 -0400

php-twig (2.14.1-2) unstable; urgency=medium

  * Adapt to recent version of PHPUnit (9)

 -- David Prévot <taffit@debian.org>  Sun, 20 Dec 2020 17:00:47 -0400

php-twig (2.14.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 2.14.1 release

  [ David Prévot ]
  * Update watch file format version to 4.
  * Update Standards-Version to 4.5.1

 -- David Prévot <taffit@debian.org>  Sat, 21 Nov 2020 15:39:08 -0400

php-twig (2.13.1-1) unstable; urgency=medium

  [ Fabien Potencier ]
  * Prepare the 2.13.1 release

  [ Jérôme TAMARELLE ]
  * Fix compatibility with PHPUnit 10

  [ David Prévot ]
  * Revert "Fix compatibility with PHPUnit 10"
  * Rename branch to debian/bullseye (DEP-14)

 -- David Prévot <taffit@debian.org>  Wed, 16 Sep 2020 16:04:28 -0400

=== debian/control ===
Source: php-twig
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Daniel Beyer <dabe@deb.ymc.ch>, David Prévot <taffit@debian.org>
Section: php
Priority: optional
Standards-Version: 4.5.1
Build-Depends: debhelper-compat (= 13),
               locales-all,
               php-cli,
               php-mbstring,
               php-psr-container,
               php-symfony-phpunit-bridge,
               phpab,
               phpunit,
               pkg-php-tools,
               python3-sphinx,
               re2c
Homepage: https://twig.symfony.com
Vcs-Browser: https://salsa.debian.org/php-team/pear/twig
Vcs-Git: https://salsa.debian.org/php-team/pear/twig.git -b buster-backports
Rules-Requires-Root: no

Package: php-twig
Architecture: all
Depends: php-ctype,
         php-mbstring,
         ${misc:Depends},
         ${phpcomposer:Debian-require}
Suggests: php-twig-doc
Description: Flexible, fast, and secure template engine for PHP
 Twig is a fast, secure and flexible template engine for php, implementing an
 own domain specific language which originated from Jinja and Django templates.

Package: php-twig-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: Twig template engine documentation
 This documentation describes the internals of Twig and the use of
 it from the perspective of a template designer as well as from the
 perspective of a developer.
 .
 Twig itself is a flexible, fast and secure template engine for PHP.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/default.mk
TWIG_VERSION := $(shell echo $(DEB_VERSION_UPSTREAM) | sed -r 's/^([0-9]+\.[0-9]+).*/\1/')

%:
	dh $@ --with phpcomposer,sphinxdoc

override_dh_auto_build:
	sphinx-build -C \
	 -b html \
	 -D source_suffix='.rst' \
	 -D master_doc='index' \
	 -D project='php-twig-doc' \
	 -D copyright='by the Twig Team' \
	 -D version='${TWIG_VERSION}' \
	 -D release='$(DEB_VERSION_UPSTREAM)' \
	 -D pygments_style='sphinx' \
	 -D html_theme='default' \
	 doc debian/build-tmp/php-twig-doc
	cp -a lib/Twig src/psr-0
	phpab --output src/autoload.php src
	mkdir --parents vendor
	phpab 	--output vendor/autoload.php \
		--template debian/autoload.tests.php.tpl \
		tests
	ln -s src Twig

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	phpunit
endif

=== debian/tests/control ===
Test-Command: mkdir -p vendor && phpab -o vendor/autoload.php -t debian/autoload.tests.php.tpl tests && phpunit
Depends: locales-all,
         php-psr-container,
         php-symfony-phpunit-bridge,
         phpab,
         phpunit,
         @
